Subject: Re: bug#5300: su command does not elevate user privilege to root when run inside term/ansi-term mode

From: Praveen A <[email-masked]>
Date: Mon, 11 Jan 2010 21:22:11 +0530

2010/1/8 Glenn Morris <[email-masked]>:
> Praveen A wrote:
>
>> su command does not a make a normal user root when run inside term
>> mode.
>
> So what does happen then?

It just gives you the normal user shell prompt (both for ssh and su)

pravi@savannah:~$ ssh localhost
pravi@localhost's password:
Linux savannah 2.6.30-2-amd64 #1 SMP Fri Sep 25 22:16:56 UTC 2009 x86_64

The programs included with the Debian GNU/Linux system are free software;
the exact distribution terms for each program are described in the
individual files in /usr/share/doc/*/copyright.

Debian GNU/Linux comes with ABSOLUTELY NO WARRANTY, to the extent
permitted by applicable law.
You have mail.
Last login: Mon Jan 11 13:46:53 2010 from localhost
Connection to localhost closed.
pravi@savannah:~$

>
> emacs -Q -f term
> bash RET
> bash> su
> password RET
>
> works fine for me. So does ssh.
>

I'm using emacs 23.1+1-5 from debian testing, it is also failing with
a trunk built emacs too.

It just

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
<GPLv2> I know my rights; I want my phone call!
<DRM> What use is a phone call, if you are unable to speak?
(as seen on /.)
Join The DRM Elimination Crew Now!
http://fci.wikia.com/wiki/Anti-DRM-Campaign